For the complete documentation index, see llms.txt. This page is also available as Markdown.

Transfer

post
Authorizations
AuthorizationstringRequired
Path parameters
accountNamestringRequired
Header parameters
AuthorizationstringRequired
Body

Represents the input data required for a Solana transaction.

tostringOptional

The recipient address of the transaction.

valuenumber · doubleOptional

The amount of value to be transferred in the transaction.

networkstringOptional

The network on which the transaction is to be executed.

compressbooleanOptional

Indicates whether the transaction data should be compressed.

Responses
200

Ok

application/json
successbooleanRequired

The success status of the operation.

messagestringRequired

The message associated with the operation.

addressstringOptional

The address associated with the operation.

post/solana/{accountName}/transfer
POST /solana/{accountName}/transfer HTTP/1.1
Host: beta.usemoon.ai/
Authorization: text
Content-Type: application/json
Accept: */*
Content-Length: 56

{
  "to": "text",
  "value": 1,
  "network": "text",
  "compress": true
}
200

Ok

{
  "success": true,
  "message": "text",
  "body": {
    "to": "text",
    "data": "text",
    "value": "text",
    "gasLimit": "text",
    "nonce": "text",
    "simulate": true,
    "gas": "text",
    "gasPrice": "text",
    "maxFeePerGas": "text",
    "maxPriorityFeePerGas": "text",
    "chain_id": "text",
    "encoding": "text",
    "type": 1,
    "accessList": [
      {
        "address": "text",
        "storageKeys": [
          "text"
        ]
      }
    ],
    "blobGas": "text",
    "blobGasFeeCap": "text",
    "blobHashes": [
      "text"
    ],
    "dryrun": true,
    "input": "text",
    "EOA": true,
    "contract_address": "text",
    "token_id": "text",
    "token_ids": "text",
    "approved": true,
    "broadcast": true,
    "alwaysIncrementNonce": true,
    "asset": "text",
    "amount": "text",
    "interestRateMode": 1,
    "referralCode": 1,
    "onBehalfOf": "text",
    "receiverAddress": "text",
    "assets": [
      "text"
    ],
    "amounts": [
      "text"
    ],
    "modes": [
      1
    ],
    "params": "text",
    "rateMode": 1,
    "useAsCollateral": true,
    "collateralAsset": "text",
    "debtAsset": "text",
    "user": "text",
    "debtToCover": "text",
    "receiveAToken": true,
    "inputTokens": [
      {
        "tokenAddress": "text",
        "amount": "text"
      }
    ],
    "outputTokens": [
      {
        "tokenAddress": "text",
        "proportion": 1
      }
    ],
    "slippageLimitPercent": 1,
    "minHealthFactor": "text",
    "premiums": [
      "text"
    ],
    "initiator": "text",
    "role": "text",
    "account": "text",
    "initialDeposit": "text",
    "borrowAmount": "text"
  },
  "address": "text",
  "data": {
    "signed_tx": "text",
    "transaction_hash": "text"
  }
}